Update Auto Recharge
curl --request PATCH \
--url http://127.0.0.1:3333/v3/billing/auto-recharge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"triggerAmount": 1,
"rechargeAmount": 501
}
'import requests
url = "http://127.0.0.1:3333/v3/billing/auto-recharge"
payload = {
"enabled": True,
"triggerAmount": 1,
"rechargeAmount": 501
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true, triggerAmount: 1, rechargeAmount: 501})
};
fetch('http://127.0.0.1:3333/v3/billing/auto-recharge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"workspaceId": "<string>",
"autoRechargeEnabled": true,
"autoRechargeTrigger": 123,
"autoRechargeAmount": 123,
"billingCurrency": "brl"
}{
"error": "<string>"
}{
"error": "<string>"
}Subscription
Update Auto Recharge
Configure auto recharge settings.
PATCH
/
v3
/
billing
/
auto-recharge
Update Auto Recharge
curl --request PATCH \
--url http://127.0.0.1:3333/v3/billing/auto-recharge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"triggerAmount": 1,
"rechargeAmount": 501
}
'import requests
url = "http://127.0.0.1:3333/v3/billing/auto-recharge"
payload = {
"enabled": True,
"triggerAmount": 1,
"rechargeAmount": 501
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({enabled: true, triggerAmount: 1, rechargeAmount: 501})
};
fetch('http://127.0.0.1:3333/v3/billing/auto-recharge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"workspaceId": "<string>",
"autoRechargeEnabled": true,
"autoRechargeTrigger": 123,
"autoRechargeAmount": 123,
"billingCurrency": "brl"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Body
application/json